Subject: bug#16196: 24.3.50; Disable ding when scrolling

From: Stefan Kangas <[email-masked]>
Date: Mon, 12 Aug 2019 02:52:16 +0200

Basil L. Contovounesios <[email-masked]> writes:

> > Sure, I could've done that, but I was worried that moving the final sexp in that
> > defun into the let* form would cause a regression.  It might have been left
> > outside for a purpose.  (Or it could just be that it didn't need to be in the
> > let* form before.)
>
> It looks like the latter:
>
> Avoid accidental yanking of text while scrolling with the mouse wheel.
> d09696f73f 2002-11-28 23:03:30 +0000
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d09696f73f17c4ae0bf09e8c72ef7f427f07d31b
>
> > Are you saying that you know that it's safe to move it?
>
> Inasmuch as I can "know" something about a code fragment from just
> looking at it, yes.  Note that this does not mean I am urging you to
> move it; I merely suggested it as a stylistic alternative or tip,
> "FWIW".

Thanks, I appreciate the help.  I agree that it's a good idea, and it
seems to work fine here.  Please find attached an updated patch with
that change included.

Best regards,
Stefan Kangas